Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class StructuredSyntaxResources

    java.lang.Object
      groovy.ui.text.StructuredSyntaxResources

    public final class StructuredSyntaxResources

Contains all the basic resources and values used by the utility frame work framework.

Authors:
  Evan "Hippy" Slatis

Field Summary
`static java.awt.Font` | `EDITOR_FONT`
`static java.lang.String` | `FIND`
`static java.lang.String` | `FIND_NEXT`
`static java.awt.Font` | `LARGE_FONT`
`static java.awt.Font` | `MEDIUM_FONT`
`static java.lang.String` | `PRINT`
`static java.lang.String` | `REDO`
`static java.lang.String` | `REPLACE`
`static java.awt.Font` | `SMALL_FONT`
`static java.awt.datatransfer.Clipboard` | `SYSTEM_CLIPBOARD`
`static java.lang.String` | `UNDO`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EDITOR_FONT

    public static final java.awt.Font EDITOR_FONT

### FIND

    public static final java.lang.String FIND

### FIND_NEXT

    public static final java.lang.String FIND_NEXT

### LARGE_FONT

    public static final java.awt.Font LARGE_FONT

### MEDIUM_FONT

    public static final java.awt.Font MEDIUM_FONT

### PRINT

    public static final java.lang.String PRINT

### REDO

    public static final java.lang.String REDO

### REPLACE

    public static final java.lang.String REPLACE

### SMALL_FONT

    public static final java.awt.Font SMALL_FONT

### SYSTEM_CLIPBOARD

    public static final java.awt.datatransfer.Clipboard SYSTEM_CLIPBOARD

### UNDO

    public static final java.lang.String UNDO

Groovy Documentation